#!/usr/bin/xcrun swift

/*
 * Dan Armendariz
 * danallan@cs.harvard.edu
 *
 * Arrays and loops
 */

// define a mutable array of grades
var grades: [Int] = [100, 0, 90, 85]

// access the size of the array with the "count" property and dot syntax
println("The gradebook has \(grades.count) grades.")

// add a new grade to the gradebook
// Note: we cannot do grades[4] = 95 because the array has a fixed length
grades.append(95)

// alternatively, we can do the following
grades += [70, 80]

// Sum the grades.
var sum = 0

// for loop construction. "..<" is the half-open range operator: [0, grades.count)
for index in 0 ..< grades.count
{
    // print the grade
    println("Grade \(index + 1): \(grades[index])")

    // add the grade to the sum
    sum += grades[index]
}

// compute the average (it's not good enough for just one side to be double)
let average = Double(sum) / Double(grades.count)
println("Average: \(average)")

